import { PolarBase } from "./PolarBase";
import { PathRenderer } from "./PathRenderer";
import { SeriesView } from "./SeriesView";
import { UnknownValuePlotting } from "igniteui-angular-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class PolarLineSeriesBase extends PolarBase {
    static $t: Type;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    o2: PolarLineSeriesBaseView;
    constructor();
    oz: PathRenderer;
    o1: PathRenderer;
    o3(): UnknownValuePlotting;
    protected get_o6(): boolean;
    protected readonly o6: boolean;
    protected get_o8(): boolean;
    protected readonly o8: boolean;
    n9(a: PolarFrame, b: PolarBaseView): void;
    private o9;
    private pa;
    private o5;
    private o4;
    private o7;
    protected abstract pb(a: SeriesView): void;
    abstract pc(a: PolarFrame, b: PolarBaseView): void;
    hv(a: boolean, b: SeriesView): void;
    o0: PathRenderer;
    ob(a: PolarFrame, b: PolarBaseView): void;
}
/**
 * @hidden
 */
export declare class PolarLineSeriesBaseView extends PolarBaseView {
    static $t: Type;
    private cy;
    constructor(a: PolarLineSeriesBase);
    protected ac(): void;
}
